#pinstall_hacks.sh
#sourced by pinstall.sh of /usr/share/doc/langpack-template
#                          ================================
#120510 L18L disable LANG=C enables translations of gparted
#120816 L18L cups doc
#120929 L18L add link to english original into translated /usr/share/doc/index.html
#121001 L18L create home-en.htm from home-raw-en.htm
#130326 L18L create de/home.htm from de/home-raw.htm
#130327 L18L help -> pman index
#130328 L18L browser.startup.homepage
#130329 help uses translated package names
#130420 merge AppInfo.xml.in with AppInfo.xml to enable peaceful coexistence of multiple langpacks
#130424 LANG1 from langpack not from actual LANG
#130425 skip if translation in AppInfo.xml.in is not for this LANG1 ( from another langpack )
#130430 new indexgen.sh for tanslated index and home
#130503 #130424 is in pinstall.sh now
#130503 LANG1="`cat pet.specs | cut -d'-' -f1 | cut -d'_' -f2`" #130424
#130806 translations moived to tmp/indexgen/

echo "#------------------------------------
Running pinstall.sh_hacks..."
#------------------------------------

[ `sed -i 's/^export LANG=C/#export LANG=C/' /usr/sbin/gparted_shell` ] || echo '#$LANG=C in gparted_shell' #120510

#120816 cups doc
cupsVERSION=`grep CUPS /usr/share/cups/templates/header.tmpl | cut -d'<' -f2 | cut -d ' ' -f4` 
cupsVERSION=`echo ${cupsVERSION}| cut -d'.' -f1,2`
cp -a /tmp/cups/${cupsVERSION}/doc /usr/share           2>/dev/null #1.3 1.4
cp -a /tmp/cups/${cupsVERSION}/doc-root /usr/share/cups 2>/dev/null #1.5
[ `cp -a /tmp/cups/${cupsVERSION}/templates/* /usr/share/cups/templates` ] || echo "cups templates"

# i like my translations having a link back to the originals

# my home-raw.htm has a link to original english home-en.htm
# we need to create home-en.html:
. /etc/DISTRO_SPECS # has $DISTRO_NAME
[ "`sed -e \"s#DISTRO_NAME#$DISTRO_NAME#\" /usr/share/doc/home-raw-en.htm > /usr/share/doc/home-en.htm`" = "" ] && echo home-en for $DISTRO_NAME created #121001

# index-en.html does NOT exist. generate from index-top and index-bottom
# or easier: take that from .sfs if existent
# change from ... aus dem Englischen Origial im ...
#          to ... aus dem <a href="/initrd/pup_ro2/usr/share/doc/index.html">Englischen Origial</a> im ...
[ "`sed -i -e 's# Englischen Original # <a href=\"/initrd/pup_ro2/usr/share/doc/index.html\">Englischen Original</a> #' /usr/share/doc/index.html.top-raw`" = "" ] && echo backlink to original index inserted #120929

##130326 L18L create de/home.htm from de/home-raw.htm
#sed -e "s#DISTRO_NAME#$DISTRO_NAME#g" /usr/share/doc/help/${LANG1}/home-raw.htm > /usr/share/doc/help/${LANG1}/home.htm
# is in new indexgen.sh #130430


#130327 L18L help -> pman index
sed -i -e "s#defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" /etc/xdg/templates/_root_.icewm_menu
sed -i -e "s#exec defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" /etc/xdg/templates/_root_.jwmrc
sed -i -e "s#exec defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" $HOME/.jwmrc
jwm -restart

#130328 L18L browser.startup.homepage
for ONEMOZ in "$(find /root/.mozilla -type f -name prefs.js | tr '\n' ' ')"
do
 sed -i -e "s#file:///usr/share/doc/home.htm#file:///usr/share/doc/help/${LANG1}/home.htm#" $ONEMOZ
done

#130329 help uses translated package names
#the following script generates master help page for language LANG1 without overwriting the original.
indexgen.sh /usr/share/doc/help/${LANG1} #130430

#130420 merge AppInfo.xml.in with AppInfo.xml
#130504 is in pinstall.sh now
#130420 merge AppInfo.xml.in with AppInfo.xml


#------------------------------------
echo "...pinstall.sh_hacks finished
#------------------------------------"
